Skip to main content
GET
/
vessels-by-imo-or-mmsi
Vessels by IMO or MMSI
curl --request GET \
  --url https://datadocked.com/api/vessels_operations/vessels-by-imo-or-mmsi \
  --header 'x-api-key: <api-key>'
{
  "vessels": [
    {
      "name": "NORMA",
      "mmsi": "210048000",
      "imo": "9870666"
    },
    {
      "name": "NORMA2",
      "mmsi": "210048001",
      "imo": "9870666"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.datadocked.com/llms.txt

Use this file to discover all available pages before exploring further.

Find all vessels matching a given IMO or MMSI number. Use this endpoint when you receive an unexpected vessel in response to help identify the correct vessel.
Credits: 0 credits (free endpoint)

When to Use This Endpoint

Sometimes a vessel changes ownership, and some of its numbers are changed and re-registered. If you made a request and received a different vessel than expected:
  1. Use this endpoint with your IMO or MMSI
  2. Review the list of all vessels with similar parameters
  3. Select the correct vessel and use its MMSI for subsequent requests
If you still can’t find the vessel you’re looking for, please contact support and we’ll help resolve this.

Response Fields

Each vessel in the response includes:
  • name: Vessel name
  • mmsi: Maritime Mobile Service Identity
  • imo: IMO number

Authorizations

x-api-key
string
header
required

Your personal API key found in your profile dashboard at https://datadocked.com/dashboard/my_keys

Query Parameters

imo_or_mmsi
string
required

The IMO or MMSI number to search for matching vessels.

Response

Successful response with matching vessels

vessels
object[]